io.undertow.server.handlers.proxy.mod_cluster

## Class ModClusterProxyTarget.BasicTarget

- java.lang.Object
- - io.undertow.server.handlers.proxy.mod_cluster.ModClusterProxyTarget.BasicTarget

All Implemented Interfaces:
  ModClusterProxyTarget, ProxyClient.MaxRetriesProxyTarget, ProxyClient.ProxyTarget

Enclosing interface:
  ModClusterProxyTarget

    public static class ModClusterProxyTarget.BasicTarget
    extends Object
    implements ModClusterProxyTarget

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.undertow.server.handlers.proxy.mod_cluster.ModClusterProxyTarget

`ModClusterProxyTarget.BasicTarget, ModClusterProxyTarget.ExistingSessionTarget`

### Constructor Summary

Constructors
Constructor and Description
`BasicTarget(io.undertow.server.handlers.proxy.mod_cluster.VirtualHost.HostEntry entry, io.undertow.server.handlers.proxy.mod_cluster.ModClusterContainer container)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getMaxRetries()`
`io.undertow.server.handlers.proxy.mod_cluster.Context` `resolveContext(HttpServerExchange exchange)` Resolve the responsible context handling this request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicTarget

    public BasicTarget(io.undertow.server.handlers.proxy.mod_cluster.VirtualHost.HostEntry entry,
                       io.undertow.server.handlers.proxy.mod_cluster.ModClusterContainer container)

### Method Detail

#### getMaxRetries

    public int getMaxRetries()

Specified by:
  `getMaxRetries` in interface `ProxyClient.MaxRetriesProxyTarget`

#### resolveContext

    public io.undertow.server.handlers.proxy.mod_cluster.Context resolveContext(HttpServerExchange exchange)

Description copied from interface: `ModClusterProxyTarget`
Resolve the responsible context handling this request.

Specified by:
  `resolveContext` in interface `ModClusterProxyTarget`
Parameters:
  `exchange` - the http server exchange
Returns:
  the context